package l17_swing;

import javax.swing.*;
import java.awt.*;

public class BoxContainer extends JPanel {
	public BoxContainer() {

		// A Box is a container that uses a BoxLayout as its layout manager.

		// 	The Box class provides static methods, createHorizontalBox() and
		// 	createVerticalBox(), to create a container with a horizontal or vertical
		// 	layout.

		Box hBox = Box.createHorizontalBox();
		setBorder(BorderFactory.createLineBorder(Color.RED));
		hBox.add(new JButton("First"));
		hBox.add(new JButton("Previous"));
		hBox.add(Box.createHorizontalGlue());
		hBox.add(new JButton("Next"));
		hBox.add(new JButton("Last"));
		hBox.setBorder(BorderFactory.createLineBorder(Color.GREEN));

		setLayout(new BorderLayout());
		add(hBox, BorderLayout.PAGE_END);
	}

	public static void main(String[] args) {
		SwingConsole.run(new BoxContainer());
	}
}
