package l17_swing;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.border.EtchedBorder;
import java.awt.*;

public class LineSplitter extends JLabel {

	private final JLabel lineSplitter = new JLabel();

	public LineSplitter(Color color) {
		var lineSplitterBorder = BorderFactory.createEtchedBorder(EtchedBorder.RAISED,
			color, color.brighter());
		lineSplitter.setBorder(lineSplitterBorder);
	}

	public JLabel getLineSplitter() {
		return lineSplitter;
	}
}
